Index: ipk/source.sh4/infos_tmdb/CONTROL/control
===================================================================
--- ipk/source.sh4/infos_tmdb/CONTROL/control	(revision 23472)
+++ ipk/source.sh4/infos_tmdb/CONTROL/control	(revision 23472)
@@ -0,0 +1,12 @@
+Package: titan-plugin-infos-tmdb
+Version: 0.1
+Architecture: sh4
+OE: infos
+Section: infos
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: obi by AAF 
+Description: TMDb Movie Database Plugin
+Titanname: TMDb
+Showname: TMDb
Index: ipk/source.sh4/infos_tmdb/CONTROL/postinst
===================================================================
--- ipk/source.sh4/infos_tmdb/CONTROL/postinst	(revision 23472)
+++ ipk/source.sh4/infos_tmdb/CONTROL/postinst	(revision 23472)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.infos
+
+echo "successfully installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: ipk/source.sh4/infos_tmdb/CONTROL/postrm
===================================================================
--- ipk/source.sh4/infos_tmdb/CONTROL/postrm	(revision 23472)
+++ ipk/source.sh4/infos_tmdb/CONTROL/postrm	(revision 23472)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.infos
+PLUGINDIR=/var/usr/local/share/titan/plugins/tmdb
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: ipk/source.sh4/infos_tmdb/CONTROL/preinst
===================================================================
--- ipk/source.sh4/infos_tmdb/CONTROL/preinst	(revision 23472)
+++ ipk/source.sh4/infos_tmdb/CONTROL/preinst	(revision 23472)
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+TMP=/tmp/.infos
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "install tmdb Plugin ..."
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=10
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+exit 0
Index: ipk/source.sh4/infos_tmdb/CONTROL/prerm
===================================================================
--- ipk/source.sh4/infos_tmdb/CONTROL/prerm	(revision 23472)
+++ ipk/source.sh4/infos_tmdb/CONTROL/prerm	(revision 23472)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.infos
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing tmdb Plugin"
+exit 0
